from __future__ import absolute_import

from mercurial import (
    scmutil,
)

from . import (
    exthelper,
)

from mercurial.i18n import _

eh = exthelper.exthelper()

def simpledepth(repo, rev):
    """simple but obviously right implementation of depth"""
    return len(repo.revs('::%d', rev))

@eh.command(
    'debugdepth',
    [
        ('r', 'rev', [], 'revs to print depth for'),
    ],
    _('REVS'))
def debugdepth(ui, repo, **opts):
    """display depth of REVS
    """
    revs = scmutil.revrange(repo, opts['rev'])
    for r in revs:
        ctx = repo[r]
        ui.write('%s %d\n' % (ctx, simpledepth(repo, r)))
